use std::u32;

use serde::Deserialize;

template_id!(SubAreaData u32 area_id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct SubAreaDataTemplate {
    #[serde(rename = "AreaID")]
    pub area_id: SubAreaDataID,
    #[serde(rename = "BattleEventID")]
    pub battle_event_id: u32,
    pub time_period: String,
    pub weather: String,
}
